import cAppWindowPart from "./components/c-app-window-part";
import cBase from "./components/c-base";
import cBreadcrumb from "./components/c-breadcrumb";
import cBtnClearSelected from "./components/c-btn-clear-selected";
import cBtnPageChange from "./components/c-btn-page-change";
import cBtnRowChange from "./components/c-btn-row-change";
import cBtna from "./components/c-btna";
import cBtnbase from "./components/c-btnbase";
import cBtnhyp from "./components/c-btnhyp";
import cBtnlookup from "./components/c-btnlookup";
import cBtnref from "./components/c-btnref";
import cBtnsv from "./components/c-btnsv";
import cContainer from "./components/c-container";
import cDataEmpty from "./components/c-data-empty";
import cDataErrors from "./components/c-data-errors";
import cDataProgress from "./components/c-data-progress";
import cEdit from "./components/c-edit";
import cErrors from "./components/c-errors";
import cExp from "./components/c-exp";
import cFilterPresenter from "./components/c-filter-presenter";
import cGrid from "./components/c-grid";
import cHighCharts from "./components/c-highcharts";
import cHtmlContentPanel from "./components/c-html-content-panel";
import cImage from "./components/c-image";
import cList from "./components/c-list";
import cManager from "./components/c-manager";
import cMenu from "./components/c-menu";
import cPager from "./components/c-pager";
import cPagesizer from "./components/c-pagesizer";
import cPivotSettings from "./components/c-pivot-settings";
import cPivotTable from "./components/c-pivot-table";
import cRadiogroup from "./components/c-radiogroup";
import cRowcheck from "./components/c-rowcheck";
import cScrollPanel from "./components/c-scroll-panel";
import cSorter from "./components/c-sorter";
import cSpinner from "./components/c-spinner";
import cTextblock from "./components/c-textblock";
import cUploadFiles from "./components/c-upload-files";
import vRuntimeTemplate from "./components/VRuntimeTemplate";
import cLayoutsManager from "./components/c-layouts-manager";
import cCamera from "./components/c-camera";

import {createStore} from './store'

import {deviceDetection} from "./mixins/c-device-detection"
import {windowsMixin} from "./mixins/c-windows-mixin"
import {utilsMixin} from "./mixins/c-utils-mixin"
export default {
  cAppWindowPart,
  cBase,
  cBreadcrumb,
  cBtnClearSelected,
  cBtnPageChange,
  cBtnRowChange,
  cBtna,
  cBtnbase,
  cBtnhyp,
  cBtnlookup,
  cBtnref,
  cBtnsv,
  cContainer,
  cDataEmpty,
  cDataErrors,
  cDataProgress,
  cEdit,
  cErrors,
  cExp,
  cFilterPresenter,
  cGrid,
  cHighCharts,
  cHtmlContentPanel,
  cImage,
  cList,
  cManager,
  cMenu,
  cPager,
  cPagesizer,
  cPivotSettings,
  cPivotTable,
  cRadiogroup,
  cRowcheck,
  cScrollPanel,
  cSorter,
  cSpinner,
  cTextblock,
  cUploadFiles,
  vRuntimeTemplate,
  cLayoutsManager,
  cCamera,
  
  createStore,
  
  cMixins:{
    deviceDetection,
    windowsMixin,
    utilsMixin
  }
};
