export default {
  namespaced: true,
  state: () => ({
    device: {}
  }),
  getters: {
    device: state => state.device,
    deviceType: state => state.device.type
  },
  actions: {
    setDevice: ({ commit }, device) => commit('SET_DEVICE', device)
  },
  mutations: {
    SET_DEVICE (state, device) {
      state.device = device
    }
  }
}
